<?php

namespace Drupal\fluent\Plugin\FluentFieldItemResolver;

use Drupal\Core\Datetime\DrupalDateTime;
use Drupal\fluent\Plugin\FluentFieldItemResolverPluginBase;
use Drupal\Core\Field\Plugin\Field\FieldType\CreatedItem as CreatedItemField;

/**
 * Plugin implementation of the fluent_field_item_resolver.
 *
 * @FluentFieldItemResolver(
 *   id = "created_item",
 *   label = @Translation("Created Item"),
 * )
 */
class CreatedItem extends FluentFieldItemResolverPluginBase {

  public function can($field): bool {
    return $field instanceof CreatedItemField;
  }

  /**
   * @param CreatedItemField $field
   *
   * @return DrupalDateTime
   */
  public function handler($field) {
    return DrupalDateTime::createFromTimestamp((int)$field->getString());
  }

}
