<?php

namespace Drupal\Tests\fluent\Functional;

use Drupal\Core\Datetime\DrupalDateTime;
use Drupal\node\Entity\Node;

/**
 * Test basic functionality of My Module.
 *
 * @group fluent
 */
class SingleValueTestCase extends BaseFluentTest
{

  public function testTitleField() {
    $node = $this->getNode();
    $title = $node->getTitle();

    $this->assertEquals($title, fluent()->using($node)->value('title'));
  }

  public function testCreatedField() {
    $image = $this->getMediaImage();
    $timestamp = $image->getCreatedTime();

    /** @var \Drupal\Core\Datetime\DrupalDateTime $ddateTime */
    $ddateTime = fluent()->using($image)->value('created');

    $this->assertInstanceOf(DrupalDateTime::class, $ddateTime);
    $this->assertEquals($ddateTime->getTimestamp(), $timestamp);
  }

  public function testTaxonomyTermField() {
    // TODO.
  }

}
